<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xslout="http://www.hursley.ibm.com/hsandt/et/compile"
   	xmlns:outout="http://www.w3.org/2000/XSL/Transform">

<xsl:output method="xml" indent="yes"/>
<xsl:namespace-alias stylesheet-prefix="xslout" result-prefix="xsl"/>

<!-- this template matches the root of the document -->
<xsl:template match="/">
  <xslout:stylesheet version="1.0">
  <xslout:output method="xml"/>
  <xslout:namespace-alias stylesheet-prefix="outout" result-prefix="xslout"/>

  <!-- this template matches the root of the html document -->
	<xslout:template match="/">
     <outout:stylesheet version="1.0">
     <outout:output method="html"/>

	  <!-- create the sub-rules of the convert.xsl -->
     <outout:template match="/">
       <xslout:apply-templates /> 
     </outout:template>

  	  <outout:template match="root/dmessage"> <!-- match a String message -->
	    <outout:copy-of select="text()" />
	  </outout:template>

	  <outout:template match="root/derror"> <!-- match an error String message -->
       <outout:copy-of select="text()" />
     </outout:template>

	  <outout:template match="root/dresult"> <!-- match result table -->
	    <outout:copy-of select="text()|@*|*" />
     </outout:template>
   </outout:stylesheet>
 	</xslout:template>
	<!-- include the outer rules from a previous step CreateOuterRules.xsl -->
   <xslout:include href='outer.xsl'/>
  </xslout:stylesheet>
</xsl:template>

</xsl:stylesheet>

















