<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = 
 *
 *  Function: 
 *            
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*  
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />
  
<!-- PARAM DECLARATION AREA -->
  <outout:param name="ccwa_pda_wait_cancel" />
  <outout:param name="ccwa_pda_wait_message" />
  
  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />
  
<!-- start of rule to match root -->
  <outout:template match="/">
   
    <body>

      <br /><br />
      <p align="center">
      <outout:value-of select="$ccwa_pda_wait_message" />      
      </p>
      <br /><br />
      <form name="interactive" method="post" action="{$req_uri_param}">
        
        <input type="submit" name="cancel">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_wait_cancel" />
          </outout:attribute>
        </input>
                            <outout:call-template name='makeStandardHiddenFields'>
                              <outout:with-param name='event' select="'cancel'" />
                            </outout:call-template>  

      </form>

    </body>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>
  
</outout:stylesheet>



